Subject: Re: bug#31335: Fwd: bug#31335: unexpected cp -f behavior
From: Pádraig Brady <[email-masked]>
To: Ernesto Alfonso <[email-masked]>, [email-masked]
Date: Tue, 15 May 2018 10:05:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/05/18 23:24, Ernesto Alfonso wrote:
> did not reply all
> 
> ---------- Forwarded message ----------
> From: Ernesto Alfonso <[email-masked]>
> Date: Thu, May 3, 2018 at 11:10 PM
> Subject: Re: bug#31335: unexpected cp -f behavior
> To: Pádraig Brady <[email-masked]>
> 
> 
> To be honest, I think cp -f should behave consistently with rm -f.
> 
>     $ ln -s self self
>     $ rm -f self
>     $ echo $?
>     0
> 
> It's also what I would expect, if I use -f, I expect cp will do everything
> it can to force the operation and succeed if all possible.

Maybe, though that's worth further consideration.
For example rm -f doesn't do everything possible to allow deleting a file.
What if the symlinks where only temporarily dangling due to unmounted dest
for example.

I've pushed at the fix for --remove at:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.29-36-ga391007

marking this as done

cheers,
Pádraig.